import request from '@/utils/request';

// 查询班会佐证材料列表
export function listClassMeetingMaterials(query) {
  return request({
    url: '/teacher/classMeetingMaterials/getByFdyNameAndYearAndMonth',
    method: 'get',
    params: query,
	headers: {
		Authorization: "Bearer " + uni.getStorageSync("App-Token"),
	}
  })
}
// 查询班会佐证材料详细
export function getClassMeetingMaterials(id) {
  return request({
    url: '/teacher/classMeetingMaterials/' + id,
    method: 'get'
  })
}
// 新增班会佐证材料
export function addClassMeetingMaterials(data) {
	return request({
		url: '/teacher/classMeetingMaterials/add',
		method: 'post',
		data: data
	})
}


// 修改班会佐证材料
export function updateClassMeetingMaterials(data) {
  return request({
    url: '/teacher/classMeetingMaterials/update',
    method: 'post',
    data: data
  })
}

// 删除班会佐证材料
export function delClassMeetingMaterials(id) {
  return request({
    url: '/teacher/classMeetingMaterials/'+id,
    method: 'post',
  })
}